MyGUI: MyGUI::MemberObsolete< EditBox > Class Template Reference

MyGUI 3.2.2

Public Member Functions
MyGUI::MemberObsolete< EditBox > Class Template Reference

`#include <MyGUI_BackwardCompatibility.h>`

Inheritance diagram for MyGUI::MemberObsolete< EditBox >:
[legend]

## Public Member Functions
void | showVScroll (bool _visible)
bool | isShowVScroll ()
void | showHScroll (bool _visible)
bool | isShowHScroll ()
void | setTextColour (size_t _start, size_t _count, const Colour &_colour)
void | getTextSelect (size_t &_start, size_t &_end)
UString | getText (size_t _start, size_t _count)
void | setTextSelect (size_t _start, size_t _end)
void | deleteTextSelect ()
UString | getSelectedText ()
bool | isTextSelect ()
void | setTextSelectColour (const Colour &_colour)

## Detailed Description

### template<>
class MyGUI::MemberObsolete< EditBox >

Definition at line 92 of file MyGUI_BackwardCompatibility.h.

## Member Function Documentation

## ◆ deleteTextSelect()

void MyGUI::MemberObsolete< EditBox >::deleteTextSelect | ( |  | ) |

Deprecated:
  " is deprecated, use : void EditBox::deleteTextSelection()"

Definition at line 176 of file MyGUI_BackwardCompatibility.cpp.

## ◆ getSelectedText()

UString MyGUI::MemberObsolete< EditBox >::getSelectedText | ( |  | ) |

Deprecated:
  " is deprecated, use : UString EditBox::getTextSelection()"

Definition at line 180 of file MyGUI_BackwardCompatibility.cpp.

## ◆ getText()

UString MyGUI::MemberObsolete< EditBox >::getText | ( | size_t | _start,
|  | size_t | _count
| ) |  |

Deprecated:
  " is deprecated, use : UString EditBox::getTextInterval(size_t _start, size_t _count)"

Definition at line 168 of file MyGUI_BackwardCompatibility.cpp.

## ◆ getTextSelect()

void MyGUI::MemberObsolete< EditBox >::getTextSelect | ( | size_t & | _start,
|  | size_t & | _end
| ) |  |

Deprecated:
  " is deprecated, use : size_t EditBox::getTextSelectionStart() , size_t getTextSelectionEnd()"

Definition at line 163 of file MyGUI_BackwardCompatibility.cpp.

## ◆ isShowHScroll()

bool MyGUI::MemberObsolete< EditBox >::isShowHScroll | ( |  | ) |

Deprecated:
  " is deprecated, use : bool EditBox::isVisibleHScroll()"

Definition at line 154 of file MyGUI_BackwardCompatibility.cpp.

## ◆ isShowVScroll()

bool MyGUI::MemberObsolete< EditBox >::isShowVScroll | ( |  | ) |

Deprecated:
  " is deprecated, use : bool EditBox::isVisibleVScroll()"

Definition at line 146 of file MyGUI_BackwardCompatibility.cpp.

## ◆ isTextSelect()

bool MyGUI::MemberObsolete< EditBox >::isTextSelect | ( |  | ) |

Deprecated:
  " is deprecated, use : bool EditBox::isTextSelection()"

Definition at line 184 of file MyGUI_BackwardCompatibility.cpp.

## ◆ setTextColour()

void MyGUI::MemberObsolete< EditBox >::setTextColour | ( | size_t | _start,
|  | size_t | _count,
|  | const Colour & | _colour
| ) |  |

Deprecated:
  " is deprecated, use : void EditBox::setTextIntervalColour(size_t _start, size_t _count, const Colour& _colour)"

Definition at line 159 of file MyGUI_BackwardCompatibility.cpp.

## ◆ setTextSelect()

void MyGUI::MemberObsolete< EditBox >::setTextSelect | ( | size_t | _start,
|  | size_t | _end
| ) |  |

Deprecated:
  " is deprecated, use : void EditBox::setTextSelection(size_t _start, size_t _end)"

Definition at line 172 of file MyGUI_BackwardCompatibility.cpp.

## ◆ setTextSelectColour()

void MyGUI::MemberObsolete< EditBox >::setTextSelectColour | ( | const Colour & | _colour | ) |

Deprecated:
  " is deprecated, use : void EditBox::setTextSelectionColour(const Colour& _colour)"

Definition at line 188 of file MyGUI_BackwardCompatibility.cpp.

## ◆ showHScroll()

void MyGUI::MemberObsolete< EditBox >::showHScroll | ( | bool | _visible | ) |

Deprecated:
  " is deprecated, use : void EditBox::setVisibleHScroll(bool _visible)"

Definition at line 150 of file MyGUI_BackwardCompatibility.cpp.

## ◆ showVScroll()

void MyGUI::MemberObsolete< EditBox >::showVScroll | ( | bool | _visible | ) |

Deprecated:
  " is deprecated, use : void EditBox::setVisibleVScroll(bool _visible)"

Definition at line 142 of file MyGUI_BackwardCompatibility.cpp.

The documentation for this class was generated from the following files:

- MyGUI_BackwardCompatibility.h
- MyGUI_BackwardCompatibility.cpp